 .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 90px;
    margin: 0 auto;
    padding: 0 40px;
    top: 0;
    position: fixed;
    z-index: 100;
    background: var(--main_white);
    transition: transform 0.5s ease, opacity 0.5s ease;
  }

.header--hidden {
  transform: translateY(-100%);
  opacity: 0;
  pointer-events: none;
}

.header--visible {
  transform: translateY(0);
  opacity: 1;
}

  .header__logo {
    font-family: var(--logo-font-family);
    font-weight: 700;
    font-style: italic;
    font-size: 3.6rem;
  }
  
  .gnav {
    display: flex;
    margin-left: auto;
  }
  
  .gnav__list {
    display: flex;
  }
  
  .gnav__link {
    font-family: var(--title-font-family);
    padding: 0 15px;
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
  }
  .gnav__link:hover {
    color: var(--main_deap-red);
  }

  .gnav__icon{
    display: flex;
    align-items: center;
    justify-content: center;
  }
 .gnav__icon-inner{
  padding: 0 15px;
 }
  .gnav__icon-inner img{
    width: 24px;
    height: 24px;
  }
  .icon-txt{
    display: none;
  }

  
  @media (hover: none) {
    .gnav__link:active {
      color: var(--main_deap-red);
    }
  }
  

  
  @media screen and (max-width: 1024px) {
    .header {
      height: 60px;
      padding-left: 20px;
      padding-right: 20px;
    }
    .header__logo {
      font-size: 3rem;
    }
  
    .serch-icon {
      display: flex;
      margin-left: auto;
      margin-right: 15px;
    }
  
    .gnav {
      position: fixed;
      right: 0;
      top: 60px;
      width: 80%;
      /* height: calc(100vh - 100px); */
      height: 100dvh;
      background: var(--main_white);
      overflow: hidden;
      /* overflow-y: scroll; */
  
      transform: translateX(100%);
      transition: transform 0.3s ease-in-out;
      z-index: 100;
    }
    .gnav._open {
      transform: translateX(0);
    }
    .gnav__list {
      width: 100%;
      height: calc(100dvh - 60px);
      flex-direction: column;
      overflow-y:scroll;
      border-top: 1px solid var(--line);
      -webkit-overflow-scrolling: touch;
    }
    .gnav__link {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 12px 20px;
      text-align: left;
      font-size: 2rem;
      border-bottom: 1px solid var(--line);
    }
    .gnav__link--current {
      padding-left: 15px;
      border-left: 5px solid var(--main_deap-red);
    }

    .gnav__icon{
      margin-top: 32px;
      margin-bottom: 40px;
      justify-content: flex-start;
    }
    .gnav__icon .gnav__link{
      display: flex;
     
    }
    .gnav__icon-inner{
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 24px ;
    }
    .icon-txt{
      display: block;
      font-family: var(--title-font-family);
    }
    .gnav-overlay {
      position: fixed;
      top: 60px;
      left: 0;
      width: 100%;
      height: 100vh;
      background: rgba(0, 0, 0, 0.5);
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
      z-index: 0;
    }
  
    .gnav-overlay._open {
      opacity: 1;
      visibility: visible;
    }
  
    body.no-scroll {
      overflow: hidden;
    }
  }

  @media screen and (max-width:450px) {
    .header__logo {
      font-size: 2.5rem;
    }
  }

  @media screen and (max-width:330px) {
    .header__logo {
      font-size: 1.8rem;
    }
  }
  
/* sub-menu toggle
  ---------------------------------------------------------------------------*/
  .sub-menu__toggle{
    position: relative;
    height: 28px;
    width: 28px;
    line-height: 28px;
    margin-right: 16px;
    background-color: var(--main_white);
  }
  
  .sub-menu__toggle::before {
    font-family: "Material Symbols Outlined";
    display: flex;
    justify-content: center;
    align-items: center;
    content: "\e313";
    font-size: var(--content-title-fs-m);
    height: 100%;
    width: 100%;
    padding: 0;
    transition: transform 0.3s ease;
  }
  
  .sub-menu__toggle::after{
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 1px solid var(--line);
  }
  
  .sub-menu__toggle:hover{
    color: var(--main_deap-red);
  }
  .sub-menu__toggle.sub-menu__toggle--is-open::before {
    transform: rotate(-180deg);
  }
  .sub-menu__toggle.sub-menu__toggle--is-open{
    color: var(--main_deap-red);
  }

  .sub-menu__toggle--is-hidden{
    display: none;
  }


  @media screen and (max-width:1024px) {
    .sub-menu__toggle--is-hidden {
      display: block;
    }
  }

    
  /* dropdown
    ---------------------------------------------------------------------------*/
  .gnav__sub-menu {
    display: block;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    background: var(--main_white);
    padding: 16px;
    width: 200%;
    z-index: 1000;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    opacity: 0; 
    visibility:hidden;
    transition: opacity 0.0s;
  }
  
  .gnav__item--has-dropdown {
    position: relative;
  }
  
  @media screen and (min-width: 1025px) {
  .gnav__item--has-dropdown:hover .gnav__sub-menu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }
}

  .gnav__item--has-dropdown:hover > .gnav__link {
    color: var(--main_deap-red);
  }
  
  @media screen and (max-width: 1024px) {
    .gnav__sub-menu {
      max-height: 0;
      overflow:visible;
      opacity: 0;
      visibility: hidden;
      position: relative;
      margin-top: 0;
      padding: 0;
      left: 0;
      transform: none;
      width: 100%;
      box-shadow: none;
      border-radius: 0;
      transition: opacity 0.3s ease-in-out;
    }

    .gnav__sub-menu.gnav__sub-menu--is-open {
      max-height: none;
      opacity: 1;
      visibility: visible;
    }
  }

  /* ドロップダウン　カテゴリリスト
    ---------------------------------------------------------------------------*/
    .sub-menu__parent{
      display: flex;
      align-items: center;
      justify-content: space-between;
      text-align: left;
      border-bottom: 1px solid var(--line);
    }

  .sub-menu__parent a{
    display: flex;
    align-items: center;
    width: 100%;
    line-height: 1.5em;
    font-size: var(--text-fs);
    padding: 12px 0;
    /* transition: 0.3s ease; */
  }

  @media screen and (max-width: 1024px) {
    .sub-menu__parent {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 12px 20px;
      text-align: left;
      font-size: 2rem;
      border-bottom: 1px solid var(--line);
    }
    .sub-menu__parent a{
      padding-left: 1em;
    }
  }

  .sub-menu__parent a:hover{
    color: var(--main_deap-red);
  }

  .sub-menu__children {
    overflow: visible;
    /* max-height: none;
    opacity: 0;
    visibility: hidden; */
    display: none;
  }
  
  .sub-menu__children a{
    padding-left: 40px;
    font-size: calc(var(--text-fs) * 0.9);
  }

  .sub-menu__children--is-open {
    /* opacity: 1;
    visibility: visible;
    max-height: none; */
    /* display: flex; */
    display: block;
  }
  
  .sub-menu__children--hidden {
    display: none;
  }
  



  /* gnav__link _current
    ---------------------------------------------------------------------------*/
  @media screen and (min-width: 1025px) {
    .gnav__link {
      position: relative;
    }
  
    .gnav__link--current {
      color: var(--main_deap-red);
    }
  
    .gnav__link--current::after {
      content: "";
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      bottom: -6px;
      width: 60%;
      height: 1px;
      background-color: var(--main_deap-red);
    }

    .gnav__link--current .gnav__chevron {
      border-left: 2px solid var(--main_deap-red);
      border-bottom: 2px solid var(--main_deap-red);
    }
  
    .gnav__link--current::before {
      content: "";
      position: absolute;
      left: 50%;
      transform: translateX(-50%);
      bottom: -9px;
      width: 6px;
      height: 3px;
      background-color: var(--main_deap-red);
      border-bottom-left-radius: 6px;
      border-bottom-right-radius: 6px;
    }
  }
  
  /* humberger
    ---------------------------------------------------------------------------*/
  .humberger {
    display: none;
  }
  
  @media screen and (max-width: 1024px), print {
    .hamburger {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 50px;
      height: 50px;
      border: 0;
      cursor: pointer;
    }
    .hamburger__line {
      position: relative;
      width: 25px;
      height: 2px;
      background: var(--main_deap-red);
    }
    .hamburger__line::before,
    .hamburger__line::after {
      position: absolute;
      content: "";
      display: block;
      width: 25px;
      height: 2px;
      background: var(--main_deap-red);
      transition: transform 0.3s;
    }
    .hamburger__line::before {
      top: -8px;
    }
    .hamburger__line::after {
      bottom: -8px;
    }
    .hamburger._open .hamburger__line {
      background: transparent;
    }
    .hamburger._open .hamburger__line::before {
      top: 0;
      transform: rotate(45deg);
    }
    .hamburger._open .hamburger__line::after {
      bottom: 0;
      transform: rotate(-45deg);
    }
  }

/* Search
    ---------------------------------------------------------------------------*/
    .serch-icon {
      padding-left: 15px;
      padding-right: 0;
    }
    
    .serch-icon:hover svg {
      fill: var(--main_deap-red);
    }
    
    .serch__wrapper {
      position: fixed !important;
      visibility: hidden;
      z-index: 100;
      opacity: 0;
      transition: opacity 0.5s ease, visibility 0s linear 0.5s;
    }
    
    .serch__wrapper.active {
      opacity: 1;
      visibility: visible;
      transition: opacity 0.5s ease;
    }
    
    .serch__bg {
      background-color: rgba(43, 46, 56, 0.9);
      position: fixed;
      top: 0;
      left: 0;
      width: 100vw;
      height: 100vh;
    }
    
    .serch__content {
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      max-width: 700px;
      width: calc(650 / 768 * 100%);
      height: 200px;
      color: var(--font_white);
      font-size: var(--content-title-fs);
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
    }
    
    .serch__form {
      width: 100%;
      display: flex;
      position: relative;
    }
    
    .serch__form-txt {
      font-size: var(--content-title-fs);
      margin-bottom: 16px;
      text-align: center;
    }
    
    .serch__input {
      background-color: var(--main_white);
      width: 100%;
      height: 64px;
      margin: 0 auto;
      border: 1px solid var(--line);
      padding: 10px;
      font-size: var(--text-fs);
      color: var(--font_black);
      border-radius: 8px;
    }
    
    .serch__form-icon {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      right: 15px;
      color: var(--font_black);
    }
    .serch__form-icon:hover svg {
      fill: var(--main_deap-red);
    }
    
    @media (hover: none) {
      .serch__form-icon:active svg {
        fill: var(--main_deap-red);
      }
    }
    
    .close-btn {
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 32px auto 0;
      font-size: var(--text-fs);
      cursor: pointer;
    }
    .close-btn:hover {
      color: var(--main_deap-red);
    }
    .close-btn:hover svg {
      fill: var(--main_deap-red);
    }
    
    @media (hover: none) {
      .close-btn:active {
        color: var(--main_deap-red);
      }
      .close-btn:active svg {
        fill: var(--main_deap-red);
      }
    }
    
  